Package org.apache.avro.perf.test.generic

# Class GenericNestedFakeTest

java.lang.Object
org.apache.avro.perf.test.generic.GenericNestedFakeTest

Direct Known Subclasses:
  `GenericNestedFakeTest_jmhType_B1`

public class GenericNestedFakeTest extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GenericNestedFakeTest.TestStateDecode`
`static class`
`GenericNestedFakeTest.TestStateEncode`

## Constructor Summary

Constructors
Constructor
Description
`GenericNestedFakeTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(org.openjdk.jmh.infra.Blackhole blackhole, GenericNestedFakeTest.TestStateDecode state)`
`void`
`encode(GenericNestedFakeTest.TestStateEncode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericNestedFakeTest

public GenericNestedFakeTest()

## Method Details

### encode

public void encode(GenericNestedFakeTest.TestStateEncode state) throws Exception

Throws:
  `Exception`

### decode

public void decode(org.openjdk.jmh.infra.Blackhole blackhole, GenericNestedFakeTest.TestStateDecode state) throws Exception

Throws:
  `Exception`